Subject: Re: bug#32825: 27.0.50; Deterministic window management

From: Juri Linkov <[email-masked]>
Date: Wed, 07 Nov 2018 00:08:27 +0200

>> This resembles more with-like functions such as with-selected-frame
>> and with-selected-window.  Maybe then call it with-display-buffer
>> or with-displayed-buffer.
>
> 'with-buffer-displayed' maybe.  Although it's questionable whether an
> invisible frame actually displays something.

Isn't this bad that this function does the double work, i.e.
first displays the buffer, then reverts, and if everything is right,
displays the same buffer again.  Shouldn't it display the buffer
only once, then check if everything is right, and revert only
if not.